print("Combat script has been started...");
EnableDynamicBattleMode(1);
heroic = 0;
treant = nil;
caster = nil;

if GetGameVar("C2M3_Diff") == "1" then
	heroic = 1;
	print("heroic battle!")
end;

function Start()
	local druids = GetDefenderCreatures();
	for i, druid in druids do
		if GetCreatureType(druid) == 50 then
			caster = druid;
			UnitCastAimedSpell(druid, 25, druid);
			else treant = druid;
		end;
	end;
	sleep(1);
	if treant ~= nil and caster ~= nil then
		UnitCastAimedSpell(caster, 25, treant);
	end;
	sleep(1);
	for i, druid in druids do
		SetUnitManaPoints(druid, GetUnitMaxManaPoints(druid));
	end;
end;